Vorbisfile documentation | vorbisfile version 1.3.2 - 20101101

# ov_pcm_total

declared in "vorbis/vorbisfile.h";

Returns the total pcm samples of the physical bitstream or a specified logical bitstream.

    ogg_int64_t ov_pcm_total(OggVorbis_File *vf,int i);

### Parameters

vf
  A pointer to the OggVorbis_File structure--this is used for ALL the externally visible libvorbisfile functions.
i
  Link to the desired logical bitstream. To retrieve the total pcm samples for the entire physical bitstream, this parameter should be set to -1.

### Return Values

> - OV_EINVAL means that the argument was invalid. In this case, the requested bitstream did not exist or the bitstream is unseekable.
> - total length in pcm samples of content if i=-1.
> - length in pcm samples of logical bitstream if i=0 to n.

copyright © 2000-2010 Xiph.Org | Ogg Vorbis
Vorbisfile documentation | vorbisfile version 1.3.2 - 20101101